summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorPeople doing a 16 bpc version of gimp <film@src.gnome.org>2001-12-10 03:51:36 +0000
committerPeople doing a 16 bpc version of gimp <film@src.gnome.org>2001-12-10 03:51:36 +0000
commit3d8ee3dfb8ffa998faf41daaff4e634d3f25738b (patch)
treebe13d8e3c61fc49c75134e177965202551266ce1 /autogen.sh
parentbb3b0571342256f13e3eed6c8eb40c97e27c99fe (diff)
Updating to glib2.0, and removing gob from gegl.
Many changes to the classes as well. Documentation coming. calvinw@mindspring.com
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh95
1 files changed, 58 insertions, 37 deletions
diff --git a/autogen.sh b/autogen.sh
index 22ca3c1a..3ad7a185 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,65 +1,86 @@
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
-DIE=0
-
-PROJECT=GEGL
-
srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
-THISDIR="`pwd`"
+
+ORIGDIR=`pwd`
cd $srcdir
+PROJECT=Gegl
+TEST_TYPE=-f
+FILE=gegl/gegl-object.h
-(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+DIE=0
+
+have_libtool=false
+if libtool --version < /dev/null > /dev/null 2>&1 ; then
+ libtool_version=`libtoolize --version | libtoolize --version | sed 's/^[^0-9]*\([0-9.][0-9.]*\).*/\1/'`
+ case $libtool_version in
+ 1.4*)
+ have_libtool=true
+ ;;
+ esac
+fi
+if $have_libtool ; then : ; else
echo
- echo "You must have autoconf installed to compile $PROJECT."
- echo "Download the appropriate package for your distribution,"
+ echo "You must have libtool 1.4 installed to compile $PROJECT."
+ echo "Install the appropriate package for your distribution,"
echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
DIE=1
-}
+fi
-# Do we really need libtool?
-(libtool --version) < /dev/null > /dev/null 2>&1 || {
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
echo
- echo "You must have libtool installed to compile $PROJECT."
- echo "Get ftp://ftp.gnu.org/pub/gnu/libtool-1.2.tar.gz"
- echo "(or a newer version if it is available)"
+ echo "You must have autoconf installed to compile $PROJECT."
+ echo "libtool the appropriate package for your distribution,"
+ echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
DIE=1
}
-(automake --version) < /dev/null > /dev/null 2>&1 || {
+have_automake=false
+if automake --version < /dev/null > /dev/null 2>&1 ; then
+ automake_version=`automake --version | grep 'automake (GNU automake)' | sed 's/^[^0-9]*\(.*\)/\1/'`
+ case $automake_version in
+ 1.2*|1.3*|1.4)
+ ;;
+ *)
+ have_automake=true
+ ;;
+ esac
+fi
+if $have_automake ; then : ; else
echo
- echo "You must have automake installed to compile $PROJECT."
- echo "Get ftp://ftp.gnu.org/pub/gnu/automake-1.3.tar.gz"
+ echo "You must have automake 1.4-p1 installed to compile $PROJECT."
+ echo "Get ftp://ftp.gnu.org/pub/gnu/automake/automake-1.4-p1.tar.gz"
echo "(or a newer version if it is available)"
DIE=1
-}
+fi
if test "$DIE" -eq 1; then
exit 1
fi
-if test -z "$*"; then
- echo "I am going to run ./configure with no arguments - if you wish "
- echo "to pass any to it, please specify them on the $0 command line."
+test $TEST_TYPE $FILE || {
+ echo "You must run this script in the top-level $PROJECT directory"
+ exit 1
+}
+
+if test -z "$AUTOGEN_SUBDIR_MODE"; then
+ if test -z "$*"; then
+ echo "I am going to run ./configure with no arguments - if you wish "
+ echo "to pass any to it, please specify them on the $0 command line."
+ fi
fi
-case $CC in
-xlc )
- am_opt=--include-deps;;
-esac
+aclocal $ACLOCAL_FLAGS
-for dir in .
-do
- echo processing $dir
- (cd $dir; \
- aclocalinclude="$ACLOCAL_FLAGS"; \
- aclocal $aclocalinclude; \
- autoheader; automake --add-missing --gnu $am_opt; autoconf)
-done
+automake -a $am_opt
+autoconf
+cd $ORIGDIR
-cd $THISDIR
-$srcdir/configure --enable-maintainer-mode "$@"
+if test -z "$AUTOGEN_SUBDIR_MODE"; then
+ $srcdir/configure --enable-maintainer-mode "$@"
-echo
-echo "Now type 'make' to compile $PROJECT."
+ echo
+ echo "Now type 'make' to compile $PROJECT."
+fi